Page MenuHomePhabricator

Thumbnails are not showing in search on multiple platforms
Closed, ResolvedPublic

Description

wikipedia.org:

Also verified on latest production releases of iOS and Android apps.

Event Timeline

Deskana created this task.Dec 1 2016, 10:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Unbreak Now! priority.Dec 1 2016, 10:59 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptDec 1 2016, 10:59 PM

PageImages are still being returned for articles, but they're not showing up in search results on multiple platforms for some reason.

debt added a subscriber: debt.Dec 1 2016, 11:07 PM

it seems like when you do only one letter - a few images show up, but if you extend the number of characters, the images all seem to go away

Looks to be a problem with pageimages. An example query that should return an image for each, but only returns one:

https://en.wikipedia.org/wiki/Special:ApiSandbox#action=query&format=json&prop=pageimages&titles=Goat+Island+(New+York)%7CGoat+cheese

Change 324826 had a related patch set uploaded (by MaxSem):
Revert "Allow querying non-free images too"

https://gerrit.wikimedia.org/r/324826

Change 324826 abandoned by MaxSem:
Revert "Allow querying non-free images too"

https://gerrit.wikimedia.org/r/324826

Unfortunately, due to the nature of the error, it seems like the only solution for now that doesn't involve waiting weeks for the pages to be reparsed is to change the default to allow nonfree images. :-/

Change 324827 had a related patch set uploaded (by EBernhardson):
Fix missing page images everywhere

https://gerrit.wikimedia.org/r/324827

We could also run the initImageData maintenance script to populate the DB.

Change 324838 had a related patch set uploaded (by EBernhardson):
Page images return non-free images by default

https://gerrit.wikimedia.org/r/324838

Change 324827 merged by jenkins-bot:
Page images return non-free images by default

https://gerrit.wikimedia.org/r/324827

There is follow up work we'll need to do here.

  1. We'll need to write and get permission to run a maintenance script to run LinksUpdate everywhere. Erik B has pointed out that if a page never gets edited it's page image will never be updated as LinksUpdate will not run.
  2. Switch the default back to free after that has happened.

Change 324838 merged by jenkins-bot:
Page images return non-free images by default

https://gerrit.wikimedia.org/r/324838

Mentioned in SAL (#wikimedia-operations) [2016-12-02T00:20:08Z] <ebernhardson@tin> Synchronized php-1.29.0-wmf.4/extensions/PageImages/includes/ApiQueryPageImages.php: T152155: Thumbnails are not showing in search on multiple platforms (duration: 00m 45s)

Deskana closed this task as Resolved.Dec 2 2016, 12:26 AM
Deskana assigned this task to EBernhardson.

With the deployment of the above change, the immediate issue is now fixed. The fire has officially been put out. :-) The steps mentioned above by @Jdlrobson still need to be carried out later.

greg added a subscriber: greg.

Adding Wikimedia-Incident as this caused a major regression for a period of time for all users.

What does this mean? Someone, probably whoever fixed it or helped, should write up a Incident report: https://wikitech.wikimedia.org/wiki/Incident_documentation

Then, file follow-up tasks to prevent something like this happening in the future within Wikimedia-Incident as well (they'll live in the "follow-up/actionables" column).

Mentioned in SAL (#wikimedia-operations) [2016-12-02T00:47:00Z] <ebernhardson@tin> Synchronized php-1.29.0-wmf.4/extensions/PageImages/maintenance/initImageData.php: T152155: Maintenance script updates for re-initializing page images (duration: 00m 44s)

maintenance script is running. Max estimated that, based on when this was done to initially populate page images, it will run for a couple weeks.

Change 325328 had a related patch set uploaded (by EBernhardson):
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325328

Adding Wikimedia-Incident as this caused a major regression for a period of time for all users.
What does this mean? Someone, probably whoever fixed it or helped, should write up a Incident report: https://wikitech.wikimedia.org/wiki/Incident_documentation

Was done at https://wikitech.wikimedia.org/wiki/Incident_documentation/20161202-20161201-PageImages

Then, file follow-up tasks to prevent something like this happening in the future within Wikimedia-Incident as well (they'll live in the "follow-up/actionables" column).

Done in

Change 325328 merged by jenkins-bot:
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325328

Change 325602 had a related patch set uploaded (by EBernhardson):
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325602

Change 325602 abandoned by EBernhardson:
Add job queue option for initImageData maintenance script

Reason:
wrong branch

https://gerrit.wikimedia.org/r/325602

Change 325602 restored by EBernhardson:
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325602

Change 325603 had a related patch set uploaded (by EBernhardson):
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325603

Change 325602 abandoned by EBernhardson:
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325602

Change 325605 had a related patch set uploaded (by EBernhardson):
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325605

Change 325606 had a related patch set uploaded (by EBernhardson):
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325606

Change 325603 abandoned by EBernhardson:
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325603

Change 325605 merged by jenkins-bot:
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325605

Change 325606 merged by jenkins-bot:
Add job queue option for initImageData maintenance script

https://gerrit.wikimedia.org/r/325606

Mentioned in SAL (#wikimedia-operations) [2016-12-06T19:56:37Z] <ebernhardson@tin> Synchronized php-1.29.0-wmf.5/extensions/PageImages: T152155: Add job queue option to PageImages initImageData maint script (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2016-12-06T19:58:39Z] <ebernhardson@tin> Synchronized php-1.29.0-wmf.4/extensions/PageImages: T152155: Add job queue option to PageImages initImageData maint script (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2016-12-06T21:06:18Z] <ebernhardson@tin> Synchronized php-1.29.0-wmf.4/extensions/PageImages: T152155: Add job queue option to PageImages initImageData maint script (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2016-12-06T21:07:30Z] <ebernhardson@tin> Synchronized php-1.29.0-wmf.5/extensions/PageImages: T152155: Add job queue option to PageImages initImageData maint script (duration: 00m 57s)